Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Asynch_Write_Dgram::Result Class Reference

This is that class which will be passed back to the <handler> when the asynchronous write completes. This class forwards all the methods to the implementation class. More...

`#include <Asynch_IO.h>`

Inheritance diagram for ACE_Asynch_Write_Dgram::Result:

[legend]
Collaboration diagram for ACE_Asynch_Write_Dgram::Result:

[legend]
List of all members.

## Public Methods
u_long | bytes_to_write (void) const
| The number of bytes which were requested at the start of the asynchronous write. More...
ACE_Message_Block * | message_block (void) const
| Message block which contains the sent data. More...
int | flags (void) const
| The flags using in the write. More...
ACE_HANDLE | handle (void) const
| I/O handle used for writing. More...
ACE_Asynch_Write_Dgram_Result_Impl * | implementation (void) const
| Get the implementation class. More...
## Protected Methods
| Result (ACE_Asynch_Write_Dgram_Result_Impl *implementation)
| Constrcutor. More...
virtual | ~Result (void)
| Destructor. More...
## Protected Attributes
ACE_Asynch_Write_Dgram_Result_Impl * | implementation_
| Implementation class. More...
## Friends
class | ACE_POSIX_Asynch_Write_Dgram_Result
| The concrete implementation result classes only construct this class. More...
class | ACE_WIN32_Asynch_Write_Dgram_Result

## Detailed Description

This is that class which will be passed back to the <handler> when the asynchronous write completes. This class forwards all the methods to the implementation class.

@class

This class has all the information necessary for the <handler> to uniquiely identify the completion of the asynchronous write.

## Constructor & Destructor Documentation

ACE_Asynch_Write_Dgram::Result::Result | ( | ACE_Asynch_Write_Dgram_Result_Impl * | implementation | ) | `[protected]`

| Constrcutor.

ACE_Asynch_Write_Dgram::Result::~Result | ( | void |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

u_long ACE_Asynch_Write_Dgram::Result::bytes_to_write | ( | void |  | ) | const

| The number of bytes which were requested at the start of the asynchronous write.

int ACE_Asynch_Write_Dgram::Result::flags | ( | void |  | ) | const

| The flags using in the write.

ACE_HANDLE ACE_Asynch_Write_Dgram::Result::handle | ( | void |  | ) | const

| I/O handle used for writing.

ACE_Asynch_Write_Dgram_Result_Impl * ACE_Asynch_Write_Dgram::Result::implementation | ( | void |  | ) | const

| Get the implementation class. Reimplemented from ACE_Asynch_Result.

ACE_Message_Block * ACE_Asynch_Write_Dgram::Result::message_block | ( | void |  | ) | const

| Message block which contains the sent data.

## Friends And Related Function Documentation

friend class ACE_POSIX_Asynch_Write_Dgram_Result`[friend]`

| The concrete implementation result classes only construct this class.

friend class ACE_WIN32_Asynch_Write_Dgram_Result`[friend]`

## Member Data Documentation

ACE_Asynch_Write_Dgram_Result_Impl* ACE_Asynch_Write_Dgram::Result::implementation_`[protected]`

| Implementation class. Reimplemented from ACE_Asynch_Result.

The documentation for this class was generated from the following files:

- Asynch_IO.h
- Asynch_IO.cpp